# CLKernel (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opencl
Class CLKernel

    java.lang.Object
      org.lwjgl.PointerWrapperAbstract
          org.lwjgl.opencl.CLKernel

All Implemented Interfaces:
  PointerWrapper

    public final class CLKernel

extends PointerWrapperAbstract

This class is a wrapper around a cl_kernel pointer.

Author:
  Spasi

Field Summary

Fields inherited from class org.lwjgl.PointerWrapperAbstract
`pointer`

Method Summary
`int` `getInfoInt(int param_name)` Returns the integer value of the specified parameter.
`java.lang.String` `getInfoString(int param_name)` Returns the String value of the specified parameter.
`P` `getParent()`
`int` `getReferenceCount()`
`long` `getWorkGroupInfoLong(CLDevice device, int param_name)` Returns the long value of the specified parameter.
`long` `getWorkGroupInfoSize(CLDevice device, int param_name)` Returns the size_t value of the specified parameter.
`long[]` `getWorkGroupInfoSizeArray(CLDevice device, int param_name)` Returns an array of size_t values of the specified parameter.
`boolean` `isValid()` Returns true if this object represents a valid pointer.
`CLKernel` `setArg(int index, byte value)` Sets a kernel argument at the specified index to the specified byte value.
`CLKernel` `setArg(int index, org.lwjgl.opencl.CLObject value)` Sets a kernel argument at the specified index to the specified pointer value.
`CLKernel` `setArg(int index, double value)` Sets a kernel argument at the specified index to the specified double value.
`CLKernel` `setArg(int index, float value)` Sets a kernel argument at the specified index to the specified float value.
`CLKernel` `setArg(int index, int value)` Sets a kernel argument at the specified index to the specified int value.
`CLKernel` `setArg(int index, long value)` Sets a kernel argument at the specified index to the specified long value.
`CLKernel` `setArg(int index, short value)` Sets a kernel argument at the specified index to the specified byte value.
`CLKernel` `setArgSize(int index, long size)` Sets the size of a __local kernel argument at the specified index.

Methods inherited from class org.lwjgl.PointerWrapperAbstract
`checkValid, equals, getPointer, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### setArg

    public CLKernel setArg(int index,
                           byte value)

  Sets a kernel argument at the specified index to the specified byte value.

  Parameters:
    `index` - the argument index
    `value` - the argument value
  Returns:
    this CLKernel object

### setArg

    public CLKernel setArg(int index,
                           short value)

  Sets a kernel argument at the specified index to the specified byte value.

  Parameters:
    `index` - the argument index
    `value` - the argument value
  Returns:
    this CLKernel object

### setArg

    public CLKernel setArg(int index,
                           int value)

  Sets a kernel argument at the specified index to the specified int value.

  Parameters:
    `index` - the argument index
    `value` - the argument value
  Returns:
    this CLKernel object

### setArg

    public CLKernel setArg(int index,
                           long value)

  Sets a kernel argument at the specified index to the specified long value.

  Parameters:
    `index` - the argument index
    `value` - the argument value
  Returns:
    this CLKernel object

### setArg

    public CLKernel setArg(int index,
                           float value)

  Sets a kernel argument at the specified index to the specified float value.

  Parameters:
    `index` - the argument index
    `value` - the argument value
  Returns:
    this CLKernel object

### setArg

    public CLKernel setArg(int index,
                           double value)

  Sets a kernel argument at the specified index to the specified double value.

  Parameters:
    `index` - the argument index
    `value` - the argument value
  Returns:
    this CLKernel object

### setArg

    public CLKernel setArg(int index,
                           org.lwjgl.opencl.CLObject value)

  Sets a kernel argument at the specified index to the specified pointer value.

  Parameters:
    `index` - the argument index
    `value` - the argument value
  Returns:
    this CLKernel object

### setArgSize

    public CLKernel setArgSize(int index,
                               long size)

  Sets the size of a __local kernel argument at the specified index.

  Parameters:
    `index` - the argument index
    `size` - the argument size
  Returns:
    this CLKernel object

### getInfoString

    public java.lang.String getInfoString(int param_name)

  Returns the String value of the specified parameter.

  Parameters:
    `param_name` - the parameter
  Returns:
    the parameter value

### getInfoInt

    public int getInfoInt(int param_name)

  Returns the integer value of the specified parameter.

  Parameters:
    `param_name` - the parameter
  Returns:
    the parameter value

### getWorkGroupInfoSize

    public long getWorkGroupInfoSize(CLDevice device,
                                     int param_name)

  Returns the size_t value of the specified parameter.

  Parameters:
    `param_name` - the parameter
  Returns:
    the parameter value

### getWorkGroupInfoSizeArray

    public long[] getWorkGroupInfoSizeArray(CLDevice device,
                                            int param_name)

  Returns an array of size_t values of the specified parameter.

  Parameters:
    `param_name` - the parameter
  Returns:
    the parameter values

### getWorkGroupInfoLong

    public long getWorkGroupInfoLong(CLDevice device,
                                     int param_name)

  Returns the long value of the specified parameter. Can be used for both cl_ulong and cl_bitfield parameters.

  Parameters:
    `param_name` - the parameter
  Returns:
    the parameter value

### getParent

    public P getParent()

### getReferenceCount

    public final int getReferenceCount()

### isValid

    public final boolean isValid()

  Description copied from class: `PointerWrapperAbstract`
  Returns true if this object represents a valid pointer. The pointer might be invalid because it is NULL or because some other action has deleted the object that this pointer represents.

  Overrides:
    `isValid` in class `PointerWrapperAbstract`
  Returns:
    true if the pointer is valid

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.